#ifndef _UI_USER_SETTING_SCREEN_EVENT_H
#define _UI_USER_SETTING_SCREEN_EVENT_H
#include <ctype.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include "ui.h"
#ifdef __cplusplus
extern "C" {
#endif

void user_setting_screen_refresh(void);

void UserSettingSreenLoadStartCallback(lv_event_t * e);
void UserSettingSreenLoadedCallback(lv_event_t * e);
void UserSettingSreenUnloadedCallback(lv_event_t * e);
void UserSettingPanelReturnPanelClickedCallback(lv_event_t * e);
void UserSettingPanel1PanelChildPanelAdjustPanelClickedCallback(lv_event_t * e);
void UserSettingPanel2PanelChildPanelAdjustPanelClickedCallback(lv_event_t * e);
void UserSettingPanel3PanelChildPanelSwitchClickedCallback(lv_event_t * e);
void UserSettingPanel4PanelChildPanelClickedCallback(lv_event_t * e);
void UserSettingPanel5PanelChildPanelClickedCallback(lv_event_t * e);
void DataAndTimePanelReturnPanelClickedCallback(lv_event_t * e);
void Hours24PanelChildPanelSwitchClickedCallback(lv_event_t * e);
void NetworkSynchronizationPanelChildPanelSwitchClicked(lv_event_t * e);
void TimeSettingPanelClickedCallback(lv_event_t * e);
void TimeSettingPanelChildPanelClickedCallback(lv_event_t * e);
void TimeSettingPanelChildPanelRightIconPanelClickedCallback(lv_event_t * e);
void TimeSettingPanelChildPanelTickIconPanelClickedCallback(lv_event_t * e);
void TimeSettingParamPanelYearRollerValueChangeCallback(lv_event_t * e);
void TimeSettingParamPanelMonthRollerValueChangeCallback(lv_event_t * e);
void TimeSettingParamPanelDayRollerValueChangeCallback(lv_event_t * e);
void TimeSettingParamPanelHourRollerValueChangeCallback(lv_event_t * e);
void TimeSettingParamPanelMinuteRollerValueChangeCallback(lv_event_t * e);

void EngineerPasswordBackPanelClickedCallback(lv_event_t * e);
void EngineerPasswordReturnPanelClickedCallback(lv_event_t * e);
void EngineerPasswordInputPanelKeyboardReadyCallback(lv_event_t * e);
void EngineerPasswordInputPanelKeyboardClickedCallback(lv_event_t * e);



#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
